#ifndef __MWIS_H__
#define __MWIS_H__


#define _CRT_SECURE_NO_WARNINGS
#define _CRT_NONSTDC_NO_DEPRECATE

#define MAT_TYPE double

unsigned char* mwis( MAT_TYPE* w, unsigned char* A, long n, unsigned char* x);
unsigned char* mwis2( MAT_TYPE* w, unsigned char* A, long n, unsigned char* x, unsigned char flag);

unsigned char* mwisRandAdjMat( unsigned char* A, const long n, const long ne);
MAT_TYPE* mwisRandWeight( MAT_TYPE* w, const long n);
void mwisRandGraph( unsigned char** A, MAT_TYPE** w, const long n, const long ne);

void mwisPrintStats( const MAT_TYPE* w, const unsigned char* A, const long n, const MAT_TYPE alpha, const MAT_TYPE lmin, const unsigned char*x);
void mwisPrintAdjMat(const unsigned char* A, const long n);
void mwisPrintWeights(const MAT_TYPE* w, const long n);
void mwisPrintX(const unsigned char* x, const long n);

#endif